Skip to main content
`Ctrl`+`K`

# MatNullSpaceGetVecs

get the vectors defining the null space

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatNullSpaceGetVecs(MatNullSpace sp, PetscBool *has_const, PetscInt *n, const Vec **vecs)

Not Collective

## Input Parameter

- sp - null space object

## Output Parameters

- has_const - `PETSC_TRUE` if the null space contains the constant vector, otherwise `PETSC_FALSE`

- n - number of vectors (excluding constant vector) in the null space

- vecs - orthonormal vectors that span the null space (excluding the constant vector), `NULL` if `n` is 0

## Note

These vectors and the array are owned by the `MatNullSpace` and should not be destroyed or freeded by the caller

## Fortran Note

One must pass in an array `vecs` that is large enough to hold all of the requested vectors

## See Also

Matrices, `Mat`, `MatNullSpace`, `MatNullSpaceCreate()`, `MatGetNullSpace()`, `MatGetNearNullSpace()`

## Level

developer

## Location

src/mat/interface/matnull.c

## Examples

src/snes/tutorials/ex69.c
src/ksp/ksp/tutorials/ex49.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages